Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://uat-interface.haipay.asia/vnd/pay/query \ --header 'Content-Type: application/json' \ --data ' { "appId": 123, "orderId": "<string>", "sign": "<string>", "orderNo": "<string>" } '
{ "status": "<string>", "error": "<string>", "msg": "<string>", "data": { "orderId": "<string>", "orderNo": "<string>", "amount": "<string>", "fee": "<string>", "status": 123, "payTime": "<string>", "errorMsg": "<string>", "sign": "<string>" } }
Business ID (obtained from backend, must match the currency in the URL)
Merchant order ID
Signature
Platform order ID (faster response)
1: Normal, 0: Exception
Error code
Error description
Show child attributes